-- phpMyAdmin SQL Dump
-- version 2.11.6
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generato il: 06 Giu, 2011 at 08:38 PM
-- Versione MySQL: 5.0.51
-- Versione PHP: 5.2.6

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Database: `ioprogrammo`
--

-- --------------------------------------------------------

--
-- Struttura della tabella `libri`
--

CREATE TABLE `libri` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `titolo` text NOT NULL,
  `autore` text NOT NULL,
  `casa_editrice` text NOT NULL,
  `anno_pubblicazione` int(11) NOT NULL,
  `numero_pagine` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dump dei dati per la tabella `libri`
--

INSERT INTO `libri` (`id`, `titolo`, `autore`, `casa_editrice`, `anno_pubblicazione`, `numero_pagine`) VALUES
(1, 'Cent''anni di compagnia', 'Francesco Napoletano', 'Edizioni Master', 2010, 500),
(2, 'La notte dei morti dormienti', 'Mario Rossi', 'Edizioni Paolo', 2007, 610),
(3, 'Come fare i soldi gratis', 'Mario Verdi', 'Edizioni Paolo', 2005, 211),
(4, 'Come fare i soldi pagando', 'Ruggero Rossi', 'Edizioni Posta', 2008, 400);

-- --------------------------------------------------------

--
-- Struttura della tabella `prestiti`
--

CREATE TABLE `prestiti` (
  `id` int(11) NOT NULL auto_increment,
  `id_libro` int(10) unsigned NOT NULL,
  `id_utente` int(10) unsigned NOT NULL,
  `data_inizio_prestito` date default NULL,
  `data_fine_prestito` date default NULL,
  PRIMARY KEY  (`id`),
  KEY `id_libro` (`id_libro`),
  KEY `id_utente` (`id_utente`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dump dei dati per la tabella `prestiti`
--

INSERT INTO `prestiti` (`id`, `id_libro`, `id_utente`, `data_inizio_prestito`, `data_fine_prestito`) VALUES
(1, 1, 2, '2011-04-23', '2011-04-30'),
(2, 2, 2, '2011-04-01', '2011-05-31'),
(3, 4, 4, '2011-04-21', '2011-05-17'),
(4, 4, 3, '2008-08-06', '2008-10-24');

-- --------------------------------------------------------

--
-- Struttura della tabella `utenti`
--

CREATE TABLE `utenti` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `nome` text NOT NULL,
  `cognome` text NOT NULL,
  `codice_fiscale` text NOT NULL,
  `data_nascita` date NOT NULL,
  `indirizzo` text NOT NULL,
  `citta` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dump dei dati per la tabella `utenti`
--

INSERT INTO `utenti` (`id`, `nome`, `cognome`, `codice_fiscale`, `data_nascita`, `indirizzo`, `citta`) VALUES
(1, 'Mario', 'Rossi', 'RSSMRA00A01A664M \r\n', '1986-04-22', 'Via Roma, 4', 'Milano'),
(2, 'Maria', 'Verdi', 'RSSMRA00A01A664M \r\n', '1986-04-22', 'Via Casati, 14', 'Roma'),
(3, 'Paola', 'Rossi', 'RSSMRA00A01B664M \r\n', '1986-04-22', 'Via Caronte, 411', 'Sesto San Giovanni'),
(4, 'Marco', 'Rossignol', 'RSSMRA00A01A664M \r\n', '1986-04-22', 'Via Piacenza, 11', 'Firenze');

--
-- Limiti per le tabelle scaricate
--

--
-- Limiti per la tabella `prestiti`
--
ALTER TABLE `prestiti`
  ADD CONSTRAINT `prestiti_ibfk_1` FOREIGN KEY (`id_libro`) REFERENCES `libri` (`id`) ON DELETE NO ACTION,
  ADD CONSTRAINT `prestiti_ibfk_2` FOREIGN KEY (`id_utente`) REFERENCES `utenti` (`id`) ON DELETE NO ACTION;
