<?php
/***************************************************************************
 *                         User Validation Script
 *                    ------------------------------
 *   Filename:             validateuser.php
 *   Project:              Uzzisoft - PHP Simple Member System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.2.1
 *   Build Date:           2004-05-10
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Uses cookie information
 *   and validates that username and password is correct.
 *
 *   How it does it:
 *   Checks if username exists.
 *   If username exists it checks that the password is correct.
 *   If the password is correct then it returns true else if password or
 *   username are invalid/incorrect then returns false.
 *   It's best to only return that the username or password was wrong
 *   or else it could be hacked more easily.
 *
 *   Call the function by using "if (validateuser() == true) { }"
 *   So if the user and password is correct it will do the following in the { }
 *
 ***************************************************************************/

function validateuser() {

  // Use cookie information and validate cookie

  // Use cookie and Extract the cookie data (Username and Password)
  // 'cookie_info' is the cookie name you assigned it when making the cookie
  $cookie_info = explode("-", $_COOKIE['cookie_info']);
  $namecookie = $cookie_info[0];
  $passcookie = $cookie_info[1];

  // Check if username exists
  $usernamelogin = mysql_num_rows(mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'"));

  // If username exists
  if ($usernamelogin == 1) {

      // Check if password matches the database password
      $passwordlogin = mysql_num_rows(mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie' AND userpass = '$passcookie'"));

      // If password is correct
      if ($passwordlogin == 1) {

          // User is now logged in
          return (true);
      }

      // If the password is incorrect
      else {
           return(false);
      }
  }

  // If the username was not found in database
  else {
        return(false);
  }
}

?>